package com.lightinit.hsdatashow.model.topic.water;

import org.apache.camel.component.dataset.SimpleDataSet;
import org.springframework.format.annotation.DateTimeFormat;
import sun.awt.SunHints;

import java.math.BigDecimal;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/12/26 14:54
 * @Description:
 **/
public class STRainModel {

    private Long id;
    private String regionName;
    private String stationName;
    private String stationType;
    private BigDecimal lastYearMonthRainfall;
    private BigDecimal longAgoYearMonthAverageRainfall;
    private String timeText;
    private Date captureTime;
    private BigDecimal rainfall;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public Date getCaptureTime() {
        return captureTime;
    }

    public void setCaptureTime(Date captureTime) {
        this.captureTime = captureTime;
    }

    public BigDecimal getRainfall() {
        return rainfall;
    }

    public void setRainfall(BigDecimal rainfall) {
        this.rainfall = rainfall;
    }

    public BigDecimal getLastYearMonthRainfall() {
        return lastYearMonthRainfall;
    }

    public void setLastYearMonthRainfall(BigDecimal lastYearMonthRainfall) {
        this.lastYearMonthRainfall = lastYearMonthRainfall;
    }

    public BigDecimal getLongAgoYearMonthAverageRainfall() {
        return longAgoYearMonthAverageRainfall;
    }

    public void setLongAgoYearMonthAverageRainfall(BigDecimal longAgoYearMonthAverageRainfall) {
        this.longAgoYearMonthAverageRainfall = longAgoYearMonthAverageRainfall;
    }

    public String getTimeText() {
        return timeText;
    }

    public void setTimeText(String timeText) {
        this.timeText = timeText;
    }
}
